apiVersion: tekton.dev/v1beta1
kind: Task
metadata:
  labels:
    {{ network_policy_deployment_label }}: job-{{ tekton_name }}
    version: "{{ tekton_assets_version }}"
  name: scan-repo-trufflehog
  namespace: {{ buildns }}
spec:
  steps:
  - args:
    - -c
    - |
        REPO_ADDRESS=$(git remote -v | awk '{print $2}' | sed 's|^git@\([^:]*\):\(.*\)|https://\1/\2|');
        echo "==== Scanning $REPO_ADDRESS ====";
        trufflehog git --json file://$(pwd) >/tmp/found 2>&1;
        echo "==== Done scanning - parsing output ====";
        count=$(wc -l /tmp/found);
        echo "==== Scan Output ====";
        cat /tmp/found;
        rm -f /tmp/found;
        if ! test "$count" = 0; then
            score=WARNING;
        else
            score=OK;
        fi;
        echo =============================================;
        echo =============================================;
        echo =============================================;
        echo "[$score] $REPO_ADDRESS";
        echo "";
        echo " * warning: $count";
        exit 0
    command:
    - /bin/sh
    image: {{ (opsimages | json_query("[?name=='jkagtruffle'].image"))[0] }}
    name: scan-repository
{% if tekton_uses_resources_limits | default(False) %}
    resources:
      limits:
        cpu: "{{ tekton_truffle_cpu_limit }}"
        memory: {{ tekton_truffle_memory_limit }}
      requests:
        cpu: "{{ tekton_truffle_cpu_request }}"
        memory: {{ tekton_truffle_memory_request }}
{% else %}
    resources: {}
{% endif %}
{% if k8s_flavor == 'kubernetes' %}
    securityContext:
{% if 0 == 1 %}
      runAsUser: {{ k8s_unprivileged_userid }}
{% else %}
      privileged: true
{% endif %}
{% endif %}
    workingDir: "$(workspaces.source.path)"
  workspaces:
  - name: source
